Bug 1121341 - [abrt] libreoffice-core: Window::ImplAddDel(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: Window::ImplAddDel(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:73def17238950828e0afb76f27f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 13:51 UTC by Vaso VV
Modified: 2014-07-25 10:05 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.2.5.2-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 10:05:14 UTC


Attachments (Terms of Use)
File: backtrace (44.70 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: core_backtrace (22.91 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: dso_list (30.47 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: environ (1.88 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: maps (146.11 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: open_fds (1.14 KB, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-07-19 13:51 UTC, Vaso VV
no flags Details
File: var_log_messages (366 bytes, text/plain)
2014-07-19 13:52 UTC, Vaso VV
no flags Details

Description Vaso VV 2014-07-19 13:51:42 UTC
Description of problem:
Open a new Spreadsheet
Goto "Data / Validity"
On "Criteria" tab choose "Cell range"
Click on "Shrink" button
Close shrink window

Version-Release number of selected component:
libreoffice-core-4.2.5.2-6.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: Window::ImplAddDel
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Window::ImplAddDel at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:1709
 #1 ImplAddDel at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:1720
 #2 Window::CallEventListeners at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:5338
 #3 Window::ImplCallEventListeners at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:5311
 #4 Window::~Window at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:4324
 #5 ~RefButton at /usr/src/debug/libreoffice-4.2.5.2/include/formula/funcutl.hxx:75
 #6 ~ScRefButtonEx at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/inc/validate.hxx:227
 #7 ScTPValidationValue::~ScTPValidationValue at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/dbgui/validate.cxx:341
 #9 SfxTabDialog::~SfxTabDialog at /usr/src/debug/libreoffice-4.2.5.2/sfx2/source/dialog/tabdlg.cxx:508
 #10 ScValidationDlg::~ScValidationDlg at /usr/src/debug/libreoffice-4.2.5.2/sc/source/ui/dbgui/validate.cxx:169

Comment 1 Vaso VV 2014-07-19 13:51:46 UTC
Created attachment 919282 [details]
File: backtrace

Comment 2 Vaso VV 2014-07-19 13:51:47 UTC
Created attachment 919283 [details]
File: cgroup

Comment 3 Vaso VV 2014-07-19 13:51:49 UTC
Created attachment 919284 [details]
File: core_backtrace

Comment 4 Vaso VV 2014-07-19 13:51:51 UTC
Created attachment 919285 [details]
File: dso_list

Comment 5 Vaso VV 2014-07-19 13:51:52 UTC
Created attachment 919286 [details]
File: environ

Comment 6 Vaso VV 2014-07-19 13:51:53 UTC
Created attachment 919287 [details]
File: limits

Comment 7 Vaso VV 2014-07-19 13:51:56 UTC
Created attachment 919288 [details]
File: maps

Comment 8 Vaso VV 2014-07-19 13:51:57 UTC
Created attachment 919289 [details]
File: open_fds

Comment 9 Vaso VV 2014-07-19 13:51:58 UTC
Created attachment 919290 [details]
File: proc_pid_status

Comment 10 Vaso VV 2014-07-19 13:52:00 UTC
Created attachment 919291 [details]
File: var_log_messages

Comment 11 Caolan McNamara 2014-07-21 10:38:10 UTC
assigned, reproducible.

Comment 12 Fedora Update System 2014-07-22 07:35:30 UTC
libreoffice-4.2.5.2-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.5.2-9.fc20

Comment 13 Fedora Update System 2014-07-23 02:59:03 UTC
Package libreoffice-4.2.5.2-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.5.2-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8633/libreoffice-4.2.5.2-9.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-07-25 10:05:14 UTC
libreoffice-4.2.5.2-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.